#include <bits/stdc++.h>
using namespace std;
using bs=bitset<505*2005>;
#define int long long
mt19937 rnd;
#define app push_back
#define all(x) (x).begin(),(x).end()
#ifdef LOCAL
#define debug(...) [](auto...a){ ((cout << a << ' '), ...) << endl;}(#__VA_ARGS__, ":", __VA_ARGS__)
#define debugv(v) do {cout<< #v <<" : {"; for(int izxc=0;izxc<v.size();++izxc) {cout << v[izxc];if(izxc+1!=v.size()) cout << ","; }cout <<"}"<< endl;} while(0)
#else
#define debug(...)
#define debugv(v)
#endif
#define lob(a,x) lower_bound(all(a),x)
#define upb(a,x) upper_bound(all(a),x)
#define print(x) cout<<(x)<<'\n'
int32_t main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n;cin>>n;
    vector<array<int,3> > arr;
    arr.app({1,0,0});
    int S=0;
    for(int i=0;i<n;++i) {
        char c;cin>>c;
        int v;cin>>v;
        S+=v;
        string typ;cin>>typ;
        int c1=(c=='=');
        int typ1=(typ=="async");
        arr.app({c1,v,typ1});
    }
    n=arr.size();
    int lasteq=arr.size()-1;
    while(!arr[lasteq][0]) {
        --lasteq;
    }
    bs ans;//(S+1);
    bs c;//(S+1);
    c[0]=1;
    bs b;//(S+1);
    for(int j=lasteq-1;j>=0;--j) {
        if(!arr[j][0] && arr[j][2]) {
            c=(c | (c<<arr[j][1]));
        }
    }
    for(int j=0;j<lasteq;++j) {
        if(arr[j][0] && arr[j][2]) {
            b=(b | (c<<arr[j][1]));
        }
    }
    for(int i=lasteq;i<n;++i) {
        {
            int j=i;
            {
            if(arr[j][0] && arr[j][2]) {
                b=(b | (c<<arr[j][1]));
            }
        }
        }
        int shu=0;
        for(int j=i+1;j<n;++j) {
            shu+=arr[j][1];
        }
        {
            int j=i;
             {
            if(!arr[j][0] && arr[j][2]) {
                b=(b | (b<<arr[j][1]));
                c=(c | (c<<arr[j][1]));
            }
        }
        }
        ans=(ans | (b<<shu));
        if(arr[i][0]) {
            ans=(ans | (c<<(arr[i][1]+shu)));
        }
    }
    /*for(int i=0;i<=S;++i) {
        cout<<i<<' '<<ans[i]<<endl;
    }*/
    cout<<ans.count();
    return 0;
}
